Docs

Add Modifier

POST /resourceTypes/{resourceTypeId}/attributes/{resourceAttributeId}/modifiers

POST/resourceTypes/{resourceTypeId}/attributes/{resourceAttributeId}/modifiers

Adds a price modifier to an attribute placed on the type with the Modifier pricing role: a need or resource whose value matches value has its price adjusted. costType and chargeType are Percent or Fixed; application is PerPeriod (the default) or OneTime. Modifiers are deleted with their placement.

Path Parameters

FieldTypeRequiredDescription
resourceTypeIduuidRequired
resourceAttributeIduuidRequired

Request Body

FieldTypeRequiredDescription
valuestringOptional
costTypestringOptional
costAmountnumberOptional
chargeTypestringOptional
chargeAmountnumberOptional
applicationstringOptional